#if !defined(INCLUDED_PETSCCONF_H)
#define INCLUDED_PETSCCONF_H

#define PETSC_ARCH ""
#define PETSC_ATTRIBUTEALIGNED(size) __attribute((aligned(size)))
#define PETSC_DEPRECATED_ENUM(why) __attribute((deprecated))
#define PETSC_DEPRECATED_FUNCTION(why) __attribute((deprecated))
#define PETSC_DEPRECATED_MACRO(why) _Pragma(why)
#define PETSC_DEPRECATED_TYPEDEF(why) __attribute((deprecated))
#define PETSC_DIR "/usr/lib/petscdir/petsc3.13/s390x-linux-gnu-complex"
#define PETSC_DIR_SEPARATOR '/'
#define PETSC_FUNCTION_NAME_C __func__
#define PETSC_FUNCTION_NAME_CXX __func__
#define PETSC_HAVE_ATOLL 1
#define PETSC_HAVE_ATTRIBUTEALIGNED 1
#define PETSC_HAVE_BUILTIN_EXPECT 1
#define PETSC_HAVE_CXX 1
#define PETSC_HAVE_DOUBLE_ALIGN_MALLOC 1
#define PETSC_HAVE_FFTW 1
#define PETSC_HAVE_FORTRAN 1
#define PETSC_HAVE_HDF5 1
#define PETSC_HAVE_MUMPS 1
#define PETSC_HAVE_OPENCL 1
#define PETSC_HAVE_PTHREAD 1
#define PETSC_HAVE_PTSCOTCH 1
#define PETSC_HAVE_REGEX 1
#define PETSC_HAVE_SCALAPACK 1
#define PETSC_HAVE_SO_REUSEADDR 1
#define PETSC_HAVE_SUITESPARSE 1
#define PETSC_HAVE_SUPERLU 1
#define PETSC_HAVE_SUPERLU_DIST 1
#define PETSC_LIB_DIR "/usr/lib/petscdir/petsc3.13/s390x-linux-gnu-complex/lib"
#define PETSC_MPICC_SHOW "gcc -I/usr/lib/s390x-linux-gnu/openmpi/include/openmpi -I/usr/lib/s390x-linux-gnu/openmpi/include -pthread -L/usr/lib/s390x-linux-gnu/openmpi/lib -lmpi"
#define PETSC_PREFETCH_HINT_NTA 0
#define PETSC_PREFETCH_HINT_T0 3
#define PETSC_PREFETCH_HINT_T1 2
#define PETSC_PREFETCH_HINT_T2 1
#define PETSC_Prefetch(a,b,c) __builtin_prefetch((a),(b),(c))
#define PETSC_REPLACE_DIR_SEPARATOR '\\'
#define PETSC_SLSUFFIX "so"
#define PETSC_UINTPTR_T uintptr_t
#define PETSC_UNUSED __attribute((unused))
#define PETSC_USE_ISATTY 1
#define PETSC_USE_SINGLE_LIBRARY 1
#define PETSC_USE_SOCKET_VIEWER 1
#define PETSC_CLANGUAGE_C 1
#define PETSC_HAVE_ERF 1
#define PETSC_HAVE_FENV_H 1
#define PETSC_HAVE_LGAMMA 1
#define PETSC_HAVE_LOG2 1
#define PETSC_HAVE_TGAMMA 1
#define PETSC_CXX_INLINE inline
#define PETSC_CXX_RESTRICT __restrict
#define PETSC_C_INLINE inline
#define PETSC_C_RESTRICT __restrict
#define PETSC_FORTRAN_CHARLEN_T size_t
#define PETSC_HAVE_C99 1
#define PETSC_HAVE_CXX_DIALECT_CXX11 1
#define PETSC_HAVE_FORTRAN_UNDERSCORE 1
#define PETSC_HAVE_RTLD_GLOBAL 1
#define PETSC_HAVE_RTLD_LAZY 1
#define PETSC_HAVE_RTLD_LOCAL 1
#define PETSC_HAVE_RTLD_NOW 1
#define PETSC_HAVE_DLFCN_H 1
#define PETSC_HAVE_FCNTL_H 1
#define PETSC_HAVE_FLOAT_H 1
#define PETSC_HAVE_INTTYPES_H 1
#define PETSC_HAVE_MALLOC_H 1
#define PETSC_HAVE_NETDB_H 1
#define PETSC_HAVE_NETINET_IN_H 1
#define PETSC_HAVE_PTHREAD_H 1
#define PETSC_HAVE_PWD_H 1
#define PETSC_HAVE_SETJMP_H 1
#define PETSC_HAVE_STDINT_H 1
#define PETSC_HAVE_STRINGS_H 1
#define PETSC_HAVE_SYS_PARAM_H 1
#define PETSC_HAVE_SYS_PROCFS_H 1
#define PETSC_HAVE_SYS_RESOURCE_H 1
#define PETSC_HAVE_SYS_SOCKET_H 1
#define PETSC_HAVE_SYS_SYSINFO_H 1
#define PETSC_HAVE_SYS_TIMES_H 1
#define PETSC_HAVE_SYS_TIME_H 1
#define PETSC_HAVE_SYS_TYPES_H 1
#define PETSC_HAVE_SYS_UTSNAME_H 1
#define PETSC_HAVE_SYS_WAIT_H 1
#define PETSC_HAVE_TIME_H 1
#define PETSC_HAVE_UNISTD_H 1
#define PETSC_HAVE_ISINF 1
#define PETSC_HAVE_ISNAN 1
#define PETSC_HAVE_ISNORMAL 1
#define PETSC_USE_COMPLEX 1
#define PETSC_USE_REAL_DOUBLE 1
#define PETSC_HAVE_C99_COMPLEX 1
#define PETSC_HAVE_CXX_COMPLEX 1
#define PETSC_HAVE_STRUCT_SIGACTION 1
#define PETSC_SIZEOF_ENUM 4
#define PETSC_SIZEOF_INT 4
#define PETSC_SIZEOF_LONG 8
#define PETSC_SIZEOF_LONG_LONG 8
#define PETSC_SIZEOF_SHORT 2
#define PETSC_SIZEOF_SIZE_T 8
#define PETSC_SIZEOF_VOID_P 8
#define PETSC_USE_VISIBILITY_C 1
#define PETSC_USE_VISIBILITY_CXX 1
#define PETSC_HAVE_DYNAMIC_LIBRARIES 1
#define PETSC_USE_SHARED_LIBRARIES 1
#define PETSC_USE_DEBUGGER "gdb"
#define PETSC_HAVE_ACCESS 1
#define PETSC_HAVE_BZERO 1
#define PETSC_HAVE_CLOCK 1
#define PETSC_HAVE_DLCLOSE 1
#define PETSC_HAVE_DLERROR 1
#define PETSC_HAVE_DLOPEN 1
#define PETSC_HAVE_DLSYM 1
#define PETSC_HAVE_DRAND48 1
#define PETSC_HAVE_FORK 1
#define PETSC_HAVE_GETCWD 1
#define PETSC_HAVE_GETDOMAINNAME 1
#define PETSC_HAVE_GETHOSTBYNAME 1
#define PETSC_HAVE_GETHOSTNAME 1
#define PETSC_HAVE_GETPAGESIZE 1
#define PETSC_HAVE_GETRUSAGE 1
#define PETSC_HAVE_GETWD 1
#define PETSC_HAVE_LSEEK 1
#define PETSC_HAVE_MEMALIGN 1
#define PETSC_HAVE_MEMMOVE 1
#define PETSC_HAVE_MMAP 1
#define PETSC_HAVE_NANOSLEEP 1
#define PETSC_HAVE_POPEN 1
#define PETSC_HAVE_RAND 1
#define PETSC_HAVE_READLINK 1
#define PETSC_HAVE_REALPATH 1
#define PETSC_HAVE_SLEEP 1
#define PETSC_HAVE_SNPRINTF 1
#define PETSC_HAVE_SOCKET 1
#define PETSC_HAVE_STRCASECMP 1
#define PETSC_HAVE_SYSINFO 1
#define PETSC_HAVE_TIME 1
#define PETSC_HAVE_UNAME 1
#define PETSC_HAVE_USLEEP 1
#define PETSC_HAVE_VA_COPY 1
#define PETSC_HAVE_VSNPRINTF 1
#define PETSC_SIGNAL_CAST  
#define PETSC_FORTRAN_TYPE_INITIALIZE  = -2
#define PETSC_HAVE_FORTRAN_FLUSH 1
#define PETSC_HAVE_FORTRAN_TYPE_STAR 1
#define PETSC_USING_F2003 1
#define PETSC_USING_F90FREEFORM 1
#define PETSC_BLASLAPACK_UNDERSCORE 1
#define PETSC_HAVE_MPIEXEC_ENVIRONMENTAL_VARIABLE OMP
#define PETSC_HAVE_MPIIO 1
#define PETSC_HAVE_MPI_COMBINER_CONTIGUOUS 1
#define PETSC_HAVE_MPI_COMBINER_DUP 1
#define PETSC_HAVE_MPI_COMBINER_NAMED 1
#define PETSC_HAVE_MPI_C_DOUBLE_COMPLEX 1
#define PETSC_HAVE_MPI_EXSCAN 1
#define PETSC_HAVE_MPI_F90MODULE 1
#define PETSC_HAVE_MPI_FINALIZED 1
#define PETSC_HAVE_MPI_GET_ACCUMULATE 1
#define PETSC_HAVE_MPI_GET_LIBRARY_VERSION 1
#define PETSC_HAVE_MPI_IALLREDUCE 1
#define PETSC_HAVE_MPI_IBARRIER 1
#define PETSC_HAVE_MPI_INIT_THREAD 1
#define PETSC_HAVE_MPI_INT64_T 1
#define PETSC_HAVE_MPI_IN_PLACE 1
#define PETSC_HAVE_MPI_LONG_DOUBLE 1
#define PETSC_HAVE_MPI_NEIGHBORHOOD_COLLECTIVES 1
#define PETSC_HAVE_MPI_NONBLOCKING_COLLECTIVES 1
#define PETSC_HAVE_MPI_ONE_SIDED 1
#define PETSC_HAVE_MPI_PROCESS_SHARED_MEMORY 1
#define PETSC_HAVE_MPI_REDUCE_LOCAL 1
#define PETSC_HAVE_MPI_REDUCE_SCATTER 1
#define PETSC_HAVE_MPI_REDUCE_SCATTER_BLOCK 1
#define PETSC_HAVE_MPI_RGET 1
#define PETSC_HAVE_MPI_TYPE_DUP 1
#define PETSC_HAVE_MPI_TYPE_GET_ENVELOPE 1
#define PETSC_HAVE_MPI_WIN_CREATE 1
#define PETSC_HAVE_OMPI_MAJOR_VERSION 4
#define PETSC_HAVE_OMPI_MINOR_VERSION 0
#define PETSC_HAVE_OMPI_RELEASE_VERSION 5
#define PETSC_HAVE_PTHREAD_BARRIER_T 1
#define PETSC_HAVE_SCHED_CPU_SET_T 1
#define PETSC_Alignx(a,b)   
#define PETSC_IS_COLORING_MAX USHRT_MAX
#define PETSC_IS_COLORING_VALUE_TYPE short
#define PETSC_IS_COLORING_VALUE_TYPE_F integer2
#define PETSC_MPIU_IS_COLORING_VALUE_TYPE MPI_UNSIGNED_SHORT
#define PETSC_USE_AVX512_KERNELS 1
#define PETSC_USE_BACKWARD_LOOP 1
#define PETSC_USE_CTABLE 1
#define PETSC_USE_INFO 1
#define PETSC_USE_LOG 1
#define PETSC_USE_MALLOC_COALESCED 1
#define PETSC_MEMALIGN 16
#define PETSC_LEVEL1_DCACHE_LINESIZE 256
#define PETSC__BSD_SOURCE 1
#define PETSC__DEFAULT_SOURCE 1
#define PETSC__GNU_SOURCE 1
#define PETSC_HAVE_FORTRAN_GET_COMMAND_ARGUMENT 1
#define PETSC_USE_PROC_FOR_SIZE 1
#define PETSC_HDF5_HAVE_PARALLEL 1
#define PETSC_HDF5_HAVE_SZLIB 1
#define PETSC_HDF5_HAVE_ZLIB 1
#define PETSC_PYTHON_EXE "/usr/bin/python3"
#endif
